/* **********************************************************
 * Copyright 2021 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

BEGIN;

/*
 * Holds information for source vmon services
 */
CREATE TABLE IF NOT EXISTS NduSourceVmonService (
  UUID UUID REFERENCES NduUpgrade(UUID),
  SERVICE_NAME VARCHAR(256)  NOT NULL,
  STARTUP_TYPE VARCHAR(32)  NOT NULL,
  PRIMARY KEY (UUID, SERVICE_NAME)
);

INSERT INTO UpgradeTracking VALUES(:ndu_id, :ndu_operation);

COMMIT;